SoftwareVersion Class Reference

`#include <softwareversion.h>`

Inheritance diagram for SoftwareVersion:
[legend]

## Public Member Functions

| SoftwareVersion (const std::string &name, const std::string &version, const std::string &os)
| SoftwareVersion (const Tag *tag=0)
virtual | ~SoftwareVersion ()
const std::string & | name () const
const std::string & | version () const
const std::string & | os () const
virtual const std::string & | filterString () const
virtual StanzaExtension * | newInstance (const Tag *tag) const
virtual Tag * | tag () const
virtual StanzaExtension * | clone () const
Public Member Functions inherited from StanzaExtension
| StanzaExtension (int type)
virtual | ~StanzaExtension ()
virtual Stanza * | embeddedStanza () const
virtual Tag * | embeddedTag () const
int | extensionType () const

## Detailed Description

This is an implementation of XEP-0092 as a StanzaExtension.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  1.0

Definition at line 34 of file softwareversion.h.

## Constructor & Destructor Documentation

## SoftwareVersion() [1/2]

SoftwareVersion | ( | const std::string & | name,
|  | const std::string & | version,
|  | const std::string & | os )

Constructs a new object with the given resource string.

Parameters

  name | The software's name.
  version | The software's version.
  os | The software's operating system.

Definition at line 21 of file softwareversion.cpp.

## SoftwareVersion() [2/2]

SoftwareVersion | ( | const Tag * | tag = 0 | ) |

Constructs a new object from the given Tag.

Parameters

  tag | The Tag to parse.

Definition at line 28 of file softwareversion.cpp.

## ~SoftwareVersion()

~SoftwareVersion | ( |  | ) |

virtual

Virtual Destructor.

Definition at line 47 of file softwareversion.cpp.

## Member Function Documentation

## clone()

virtual StanzaExtension * clone | ( |  | ) | const

inline virtual

Returns an identical copy of the current StanzaExtension.

Returns
  An identical copy of the current StanzaExtension.

Implements StanzaExtension.

Definition at line 88 of file softwareversion.h.

## filterString()

const std::string & filterString | ( |  | ) | const

virtual

Returns an XPath expression that describes a path to child elements of a stanza that an extension handles.

Returns
  The extension's filter string.

Implements StanzaExtension.

Definition at line 51 of file softwareversion.cpp.

## name()

const std::string & name | ( |  | ) | const

inline

Returns the application's name.

Returns
  The application's name.

Definition at line 61 of file softwareversion.h.

## newInstance()

virtual StanzaExtension * newInstance | ( | const Tag * | tag | ) | const

inline virtual

Returns a new Instance of the derived type. Usually, for a derived class FooExtension, the implementation of this function looks like:

StanzaExtension* FooExtension::newInstance( const Tag* tag ) const
{
return new FooExtension( tag );
}
gloox::SoftwareVersion::tag
virtual Tag * tag() const
Definition softwareversion.cpp:57
gloox::StanzaExtension::StanzaExtension
StanzaExtension(int type)
Definition stanzaextension.h:211
gloox::Tag
This is an abstraction of an XML element.
Definition tag.h:47

Returns
  The derived extension's new instance.

Implements StanzaExtension.

Definition at line 79 of file softwareversion.h.

## os()

const std::string & os | ( |  | ) | const

inline

Returns the application's Operating System.

Returns
  The application's OS.

Definition at line 73 of file softwareversion.h.

## tag()

Tag * tag | ( |  | ) | const

virtual

Returns a Tag representation of the extension.

Returns
  A Tag representation of the extension.

Implements StanzaExtension.

Definition at line 57 of file softwareversion.cpp.

## version()

const std::string & version | ( |  | ) | const

inline

Returns the application's version.

Returns
  The application's version.

Definition at line 67 of file softwareversion.h.

The documentation for this class was generated from the following files:

- softwareversion.h
- softwareversion.cpp